<?php

namespace app\model;

//不是模型表，只是一个错误码
class CommonModel
{
    //错误码
    public static $success= 0;//请求成功
    public static $error_token = 1003;//token错误
    public static $error_param = 1004;//参数错误
    public static $error_default = 1005;//业务错误
    public static $error_other = 1006;//其他错误


    //特殊错误码
    public static $error_layer = 1010;//弹出
    public static $error_jump = 1011;//重定向

    //是否删除
    public static $del_normal=0;//未删除
    public static $del_deleted=1;//已删除

    //状态
    public static $status_normal=1;//启用
    public static $status_disable=0;//禁用

    //置顶
    public static $top_yes = 1;//置顶
    public static $top_no = 0;//不置顶

    //库存操作来源
    public static $source_admin = 1 ;//后台操作
    public static $source_account = 2 ;//客户操作

    //订单状态:0待支付,1支付失败,2支付成功待发货,3已发货,4已收货
    public static $order_status_wait_pay = 0;
    public static $order_status_pay_fail = 1;
    public static $order_status_not_deliver = 2;
    public static $order_status_deliver = 3;
    public static $order_status_receipt = 4;


    //购买的类型,1购买服务,2购买商城商品
    public static $pay_type_service = 1;
    public static $pay_type_shopping_good = 2;

}