<?php

namespace app\mobile\controller;

use app\BaseController;
use app\mobile\logic\ServiceLogic;

//服务
class Service extends BaseController
{
    //服务列表
    public function list()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10], 'post');
        return ServiceLogic::list($param);
    }

    //服务详情
    public function read()
    {
        $id = $this->request->post('id/d', 0);
        return ServiceLogic::read($id);
    }

    //服务订单列表
    public function orderList()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10, 'status' => ''], 'post');
        return ServiceLogic::orderList($param);
    }

    //服务订单详情
    public function orderInfo()
    {
        $id = $this->request->post('id/d', 0);
        return ServiceLogic::orderInfo($id);
    }


}